import React from 'react';
import ReactDOM from 'react-dom';
import { arc } from 'd3';

const width = 960;
const height = 500;
const centerX = width / 2;
const centerY = height / 2;
const strokeWidth = 20;
const eyeOffsetX = 70;
const eyeOffsetY = 80;
const eyeRadius = 30;
const mouthWidth = 20;
const mouthRadius = 120;
const hairH=100
const eyebrowYOffset = -70;




const mouthArc = arc()
	.innerRadius(mouthRadius)
	.outerRadius(mouthRadius + mouthWidth)
	.startAngle(Math.PI/2)
	.endAngle(Math.PI*3/2);

const teethArc = arc()
	.innerRadius(0)
	.outerRadius(mouthRadius)
	.startAngle(Math.PI/2)
	.endAngle(Math.PI*3/2);
  
const earArc = d3.arc()
    .innerRadius(0)
    .outerRadius(75)
    .startAngle(-Math.PI/2)
    .endAngle(Math.PI/2);
const eyeArc = d3.arc()
    .innerRadius(26)
    .outerRadius(40)
    .startAngle(-Math.PI/3)
    .endAngle(Math.PI/3);



const App = () => (
<svg width={width} height={height}>
  <g transform={`translate(${centerX},${centerY})`}>
      <circle
        r={centerY - (strokeWidth+hairH) / 2}
        fill="orange"
        stroke="black"
        stroke-width={strokeWidth}
      />
    <circle
        cx={-eyeOffsetX}
        cy={-eyeOffsetY}
        r={eyeRadius}
      	fill="white"
      	stroke="black"
      	stroke-width="7"
      />
    <circle
        cx={eyeOffsetX}
        cy={-eyeOffsetY}
        r={eyeRadius}
      	fill="white"
      	stroke="black"
      	stroke-width="7"
      />
      <circle
        cx={eyeOffsetX}
        cy={-eyeOffsetY}
        r={eyeRadius/2}
        fill = "brown"
        stroke = "black"
      />
      <circle
        cx={-eyeOffsetX}
        cy={-eyeOffsetY}
        r={eyeRadius/2}
        fill = "brown"
        stroke = "black"
      />
    <ellipse
        rx={eyeRadius/2}
        ry={eyeRadius/2}
        fill = "purple"
        stroke = "green"
      />
      <line
        x1={100}
        y1={-8}
        x2={30}
        y2={10}
        stroke = "black"
        stroke-width = '5'
        />
    <line
        x1={-100}
        y1={-8}
        x2={-30}
        y2={10}
        stroke = "black"
        stroke-width = '5'
        />
      <line
        x1={100}
        y1={33}
        x2={30}
        y2={10}
        stroke = "black"
        stroke-width = '5'
      />
      <line
        x1={-100}
        y1={33}
        x2={-30}
        y2={10}
        stroke = "black"
        stroke-width = '5'
      />
      <line
        x1={-100}
        y1={20}
        x2={-30}
        y2={10}
        stroke = "black"
        stroke-width = '5'
      />
      <line
        x1={100}
        y1={20}
        x2={30}
        y2={10}
        stroke = "black"
        stroke-width = '5'
      />
      <line
        x1={100}
        y1={10}
        x2={30}
        y2={10}
        stroke = "black"
        stroke-width = '5'
      />
      <line
        x1={-100}
        y1={10}
        x2={-30}
        y2={10}
        stroke = "black"
        stroke-width = '5'
      />
     
      
    <path d="M 0 -190 l 0 -100 m -25 95 l -40 -80 m 130 0 l -40 85"
        stroke="black"
        stroke-width={strokeWidth/2}
        />
    <path 
        d = {earArc()} 
        transform = "rotate(50) translate(0,-200)"/>
      <path 
        d = {earArc()} 
        transform = "rotate(-50) translate(0,-200)"/>
  <path d={mouthArc()}
    transform = "translate(-6,25)"
    fill="red"/>
  <path d={teethArc()}
    transform = "translate(-5,25)"
    fill="white"/>
        
    <line x1="135" y1="35" x2="-140" y2="35" stroke="red" stroke-width={mouthWidth} />
    <line x1="0" y1="45" x2="0" y2="140" stroke="black" stroke-width={mouthWidth/4} />
    <line x1="40" y1="45" x2="40" y2="135" stroke="black" stroke-width={mouthWidth/4} />
    <line x1="80" y1="45" x2="80" y2="105" stroke="black" stroke-width={mouthWidth/4} />
    <line x1="-40" y1="45" x2="-40" y2="135" stroke="black" stroke-width={mouthWidth/4} />
    <line x1="-80" y1="45" x2="-80" y2="115" stroke="black" stroke-width={mouthWidth/4} />
  <path d = {eyeArc()}
        transform = "rotate(10) translate(-88,-84)"
        fill = "black"/>
  <path d = {eyeArc()}
        transform = "rotate(-10) translate(88,-88)"
        fill = "black"/>
    	
  </g>
  </svg>
);

const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);